﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Microsoft.WindowsAPICodePack.Taskbar;
using System.Threading;

namespace Windows7API
{
    public class WPFApplication : Application
    {
        static Mutex mutex = new Mutex(false, "Win7ApiDemo");
        
        [STAThread]
        public static void Main()
        {
            if (!mutex.WaitOne(TimeSpan.FromMilliseconds(500), false))
            {
                MessageBox.Show("Ein andere Instanz läuft schon");
                return;
            }
            
            //...
            
            string[] args = Environment.GetCommandLineArgs();

            if (args.Count() > 1)
            {
                if (args[1] == "Command-A")
                {
                    MessageBox.Show("Command-A");
                }
            }
            
            
            WPFApplication myApp = new WPFApplication();
            MainWindow myWindow = new MainWindow();

            if (!TaskbarManager.IsPlatformSupported)
            {
                MessageBox.Show("Diese Anwendung benötig Windows 7");
                myApp.Shutdown(0);
            }

            myApp.ShutdownMode = ShutdownMode.OnMainWindowClose;
            myApp.Run(myWindow);
        }
    }
}
